tigase.server.xmppserver.proc

## Class Dialback

- java.lang.Object
- - tigase.server.xmppserver.proc.S2SAbstract
  - - tigase.server.xmppserver.proc.S2SAbstractProcessor
    - - tigase.server.xmppserver.proc.Dialback

- All Implemented Interfaces:
    Comparable<S2SProcessor>, S2SProcessor

      @Bean(name="dialback",
            parent=S2SConnectionManager.class,
            active=true)
      public class Dialback
      extends S2SAbstractProcessor

  Created: Dec 9, 2010 2:00:52 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.server.xmppserver.proc.S2SAbstractProcessor

      `S2SAbstractProcessor.Order`

  - ### Field Summary

    - ### Fields inherited from class tigase.server.xmppserver.proc.S2SAbstract

      `DB_RESULT_EL_NAME, DB_VERIFY_EL_NAME, DIALBACK_EL, DIALBACK_NS, FEATURES_DIALBACK_PATH, FEATURES_EL, FEATURES_NS, FEATURES_STARTTLS_PATH, FORCE_VERSION, handler, PROCEED_TLS_EL, RESULT_EL_NAME, START_TLS_EL, START_TLS_NS, STREAM_FEATURES_EL, VERIFY_EL_NAME, VERSION_ATT_NAME, XMLNS_CLIENT_VAL, XMLNS_DB_ATT, XMLNS_DB_VAL, XMLNS_SERVER_VAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dialback()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `order()` Returns order of processor which is used to set order in which processors will be processing packet
    `boolean` | `process(Packet p, S2SIOService serv, Queue<Packet> results)`
    `void` | `serviceStarted(S2SIOService serv)`
    `void` | `streamFeatures(S2SIOService serv, List<Element> results)`
    `String` | `streamOpened(S2SIOService serv, Map<String,String> attribs)`
    `protected boolean` | `wasResultRequested(S2SIOService serv, String domain)` Checks if result request for received domain was sent by service
    `protected boolean` | `wasVerifyRequested(S2SIOService serv, String domain)` Checks if verify request for received domain was sent by service

    - ### Methods inherited from class tigase.server.xmppserver.proc.S2SAbstractProcessor

      `compareTo, serviceStopped, skipTLSForHost, streamClosed`

    - ### Methods inherited from class tigase.server.xmppserver.proc.S2SAbstract

      `generateStreamError, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.server.xmppserver.S2SProcessor

      `init, stopProcessing`

- - ### Constructor Detail

    - #### Dialback

          public Dialback()

  - ### Method Detail

    - #### order

          public int order()

      Description copied from interface: `S2SProcessor`
      Returns order of processor which is used to set order in which processors will be processing packet
      Returns:

    - #### process

          public boolean process(Packet p,
                                 S2SIOService serv,
                                 Queue<Packet> results)

      Specified by:
        `process` in interface `S2SProcessor`
      Overrides:
        `process` in class `S2SAbstractProcessor`

    - #### serviceStarted

          public void serviceStarted(S2SIOService serv)

      Specified by:
        `serviceStarted` in interface `S2SProcessor`
      Overrides:
        `serviceStarted` in class `S2SAbstractProcessor`

    - #### streamFeatures

          public void streamFeatures(S2SIOService serv,
                                     List<Element> results)

      Specified by:
        `streamFeatures` in interface `S2SProcessor`
      Overrides:
        `streamFeatures` in class `S2SAbstractProcessor`

    - #### streamOpened

          public String streamOpened(S2SIOService serv,
                                     Map<String,String> attribs)

      Specified by:
        `streamOpened` in interface `S2SProcessor`
      Overrides:
        `streamOpened` in class `S2SAbstractProcessor`

    - #### wasResultRequested

          protected boolean wasResultRequested(S2SIOService serv,
                                               String domain)

      Checks if result request for received domain was sent by service
      Parameters:
        `serv` -
        `domain` -

    - #### wasVerifyRequested

          protected boolean wasVerifyRequested(S2SIOService serv,
                                               String domain)

      Checks if verify request for received domain was sent by service
      Parameters:
        `serv` -
        `domain` -
      See Also:
        `CIDConnections.sendHandshakingOnly(tigase.server.Packet)`

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.